Delete an onboarding flow
DELETE
/onboarding/flows/{complianceId}Soft-deletes the onboarding flow.
Deprecated: withdrawn on 2027-06-30. DELETE /onboarding-flows/{id} replaces it; the Link header names it.
Path parameters
The compliance flow's public uuid.
Responses
204
Deleted (no content).
403Error
Authorization failed. error.code is one of org_disabled,
ip_blocked, missing_scope, scope_disabled, user_disabled.
Examples
curl -X DELETE https://your-org-domain/kong/core/api/v2/onboarding/flows/{complianceId}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"